Paste number 322959: python-requests-oauthlib error

Paste number 322959: python-requests-oauthlib error
Pasted by: sapientech
When:3 years, 9 months ago
Share:Tweet this! | http://paste.lisp.org/+6X73
Channel:None
Paste contents:
Raw Source | XML | Display As
======================================================================
ERROR: test_url_is_native_str (tests.test_core.OAuth1Test)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/gnu/store/3g990m49k6cv0sachhsy2m3gn0s5pvdw-python-requests-2.7.0/lib/python3.4/site-packages/requests-2.7.0-py3.4.egg/requests/packages/urllib3/connectionpool.py", line 544, in urlopen
    body=body, headers=headers)
  File "/gnu/store/3g990m49k6cv0sachhsy2m3gn0s5pvdw-python-requests-2.7.0/lib/python3.4/site-packages/requests-2.7.0-py3.4.egg/requests/packages/urllib3/connectionpool.py", line 349, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/gnu/store/m4gc2wx4q9if1vrhgclpspdil7rqsn21-python-3.4.3/lib/python3.4/http/client.py", line 1088, in request
    self._send_request(method, url, body, headers)
  File "/gnu/store/m4gc2wx4q9if1vrhgclpspdil7rqsn21-python-3.4.3/lib/python3.4/http/client.py", line 1126, in _send_request
    self.endheaders(body)
  File "/gnu/store/m4gc2wx4q9if1vrhgclpspdil7rqsn21-python-3.4.3/lib/python3.4/http/client.py", line 1084, in endheaders
    self._send_output(message_body)
  File "/gnu/store/m4gc2wx4q9if1vrhgclpspdil7rqsn21-python-3.4.3/lib/python3.4/http/client.py", line 922, in _send_output
    self.send(msg)
  File "/gnu/store/m4gc2wx4q9if1vrhgclpspdil7rqsn21-python-3.4.3/lib/python3.4/http/client.py", line 857, in send
    self.connect()
  File "/gnu/store/3g990m49k6cv0sachhsy2m3gn0s5pvdw-python-requests-2.7.0/lib/python3.4/site-packages/requests-2.7.0-py3.4.egg/requests/packages/urllib3/connection.py", line 155, in connect
    conn = self._new_conn()
  File "/gnu/store/3g990m49k6cv0sachhsy2m3gn0s5pvdw-python-requests-2.7.0/lib/python3.4/site-packages/requests-2.7.0-py3.4.egg/requests/packages/urllib3/connection.py", line 134, in _new_conn
    (self.host, self.port), self.timeout, **extra_kw)
  File "/gnu/store/3g990m49k6cv0sachhsy2m3gn0s5pvdw-python-requests-2.7.0/lib/python3.4/site-packages/requests-2.7.0-py3.4.egg/requests/packages/urllib3/util/connection.py", line 64, in create_connection
    for res in socket.getaddrinfo(host, port, 0, socket.SOCK_STREAM):
  File "/gnu/store/m4gc2wx4q9if1vrhgclpspdil7rqsn21-python-3.4.3/lib/python3.4/socket.py", line 533, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -2] Name or service not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/gnu/store/3g990m49k6cv0sachhsy2m3gn0s5pvdw-python-requests-2.7.0/lib/python3.4/site-packages/requests-2.7.0-py3.4.egg/requests/adapters.py", line 370, in send
    timeout=timeout
  File "/gnu/store/3g990m49k6cv0sachhsy2m3gn0s5pvdw-python-requests-2.7.0/lib/python3.4/site-packages/requests-2.7.0-py3.4.egg/requests/packages/urllib3/connectionpool.py", line 597, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/gnu/store/3g990m49k6cv0sachhsy2m3gn0s5pvdw-python-requests-2.7.0/lib/python3.4/site-packages/requests-2.7.0-py3.4.egg/requests/packages/urllib3/util/retry.py", line 245, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/gnu/store/3g990m49k6cv0sachhsy2m3gn0s5pvdw-python-requests-2.7.0/lib/python3.4/site-packages/requests-2.7.0-py3.4.egg/requests/packages/urllib3/packages/six.py", line 309, in reraise
    raise value.with_traceback(tb)
  File "/gnu/store/3g990m49k6cv0sachhsy2m3gn0s5pvdw-python-requests-2.7.0/lib/python3.4/site-packages/requests-2.7.0-py3.4.egg/requests/packages/urllib3/connectionpool.py", line 544, in urlopen
    body=body, headers=headers)
  File "/gnu/store/3g990m49k6cv0sachhsy2m3gn0s5pvdw-python-requests-2.7.0/lib/python3.4/site-packages/requests-2.7.0-py3.4.egg/requests/packages/urllib3/connectionpool.py", line 349, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/gnu/store/m4gc2wx4q9if1vrhgclpspdil7rqsn21-python-3.4.3/lib/python3.4/http/client.py", line 1088, in request
    self._send_request(method, url, body, headers)
  File "/gnu/store/m4gc2wx4q9if1vrhgclpspdil7rqsn21-python-3.4.3/lib/python3.4/http/client.py", line 1126, in _send_request
    self.endheaders(body)
  File "/gnu/store/m4gc2wx4q9if1vrhgclpspdil7rqsn21-python-3.4.3/lib/python3.4/http/client.py", line 1084, in endheaders
    self._send_output(message_body)
  File "/gnu/store/m4gc2wx4q9if1vrhgclpspdil7rqsn21-python-3.4.3/lib/python3.4/http/client.py", line 922, in _send_output
    self.send(msg)
  File "/gnu/store/m4gc2wx4q9if1vrhgclpspdil7rqsn21-python-3.4.3/lib/python3.4/http/client.py", line 857, in send
    self.connect()
  File "/gnu/store/3g990m49k6cv0sachhsy2m3gn0s5pvdw-python-requests-2.7.0/lib/python3.4/site-packages/requests-2.7.0-py3.4.egg/requests/packages/urllib3/connection.py", line 155, in connect
    conn = self._new_conn()
  File "/gnu/store/3g990m49k6cv0sachhsy2m3gn0s5pvdw-python-requests-2.7.0/lib/python3.4/site-packages/requests-2.7.0-py3.4.egg/requests/packages/urllib3/connection.py", line 134, in _new_conn
    (self.host, self.port), self.timeout, **extra_kw)
  File "/gnu/store/3g990m49k6cv0sachhsy2m3gn0s5pvdw-python-requests-2.7.0/lib/python3.4/site-packages/requests-2.7.0-py3.4.egg/requests/packages/urllib3/util/connection.py", line 64, in create_connection
    for res in socket.getaddrinfo(host, port, 0, socket.SOCK_STREAM):
  File "/gnu/store/m4gc2wx4q9if1vrhgclpspdil7rqsn21-python-3.4.3/lib/python3.4/socket.py", line 533, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
requests.packages.urllib3.exceptions.ProtocolError: ('Connection aborted.', gaierror(-2, 'Name or service not known'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/gnu/store/2zy0p6h4cqyr2m2pdhfl6p7n1zv7xlwr-python-mock-1.0.1/lib/python3.4/site-packages/mock-1.0.1-py3.4.egg/mock.py", line 1201, in patched
    return func(*args, **keywargs)
  File "/tmp/guix-build-python-requests-oauthlib-0.6.2.drv-0/requests-oauthlib-0.6.2/tests/test_core.py", line 110, in test_url_is_native_str
    r = requests.get('http://httpbin.org/get', auth=oauth)
  File "/gnu/store/3g990m49k6cv0sachhsy2m3gn0s5pvdw-python-requests-2.7.0/lib/python3.4/site-packages/requests-2.7.0-py3.4.egg/requests/api.py", line 69, in get
    return request('get', url, params=params, **kwargs)
  File "/gnu/store/3g990m49k6cv0sachhsy2m3gn0s5pvdw-python-requests-2.7.0/lib/python3.4/site-packages/requests-2.7.0-py3.4.egg/requests/api.py", line 50, in request
    response = session.request(method=method, url=url, **kwargs)
  File "/gnu/store/3g990m49k6cv0sachhsy2m3gn0s5pvdw-python-requests-2.7.0/lib/python3.4/site-packages/requests-2.7.0-py3.4.egg/requests/sessions.py", line 465, in request
    resp = self.send(prep, **send_kwargs)
  File "/gnu/store/3g990m49k6cv0sachhsy2m3gn0s5pvdw-python-requests-2.7.0/lib/python3.4/site-packages/requests-2.7.0-py3.4.egg/requests/sessions.py", line 573, in send
    r = adapter.send(request, **kwargs)
  File "/gnu/store/3g990m49k6cv0sachhsy2m3gn0s5pvdw-python-requests-2.7.0/lib/python3.4/site-packages/requests-2.7.0-py3.4.egg/requests/adapters.py", line 415, in send
    raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', gaierror(-2, 'Name or service not known'))

This paste has no annotations.

Colorize as:
Show Line Numbers

Lisppaste pastes can be made by anyone at any time. Imagine a fearsomely comprehensive disclaimer of liability. Now fear, comprehensively.